Bug 2050271 - Latest pipeline run should be listed on the top of the pipeline run list
Summary: Latest pipeline run should be listed on the top of the pipeline run list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.9.z
Assignee: Debsmita Santra
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On: 2054244
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-03 15:28 UTC by Karthik Jeeyar
Modified: 2022-02-28 20:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-28 20:50:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
Pipeline run sort order (71.48 KB, image/png)
2022-02-03 15:28 UTC, Karthik Jeeyar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 11019 0 None open [release-4.9] Bug 2050271: show latest pipelinerun on the top of the list 2022-02-14 15:52:26 UTC
Red Hat Product Errata RHSA-2022:0655 0 None None None 2022-02-28 20:50:48 UTC

Description Karthik Jeeyar 2022-02-03 15:28:48 UTC
Created attachment 1858916 [details]
Pipeline run sort order

Description of problem:

Pipeline run list shows the recently created pipeline run in the middle of the list. 

Version-Release number of selected component (if applicable):

4.9

How reproducible:
Always

Steps to Reproduce:
1. Create few pipeline runs in a namespace
2. Trigger a rerun from an existing pipeline run in the list 

Actual results:

Newly created pipeline run is listed in between the existing pipeline runs. 

Expected results:

Newly created pipeline run should be always on the top of the list

Additional info:

Couldn't reproduce this issue in 4.10 clusters.

Comment 6 spathak@redhat.com 2022-02-25 10:45:32 UTC
Verified on build version: 4.9.0-0.nightly-2022-02-23-182709
Browser: Google Chrome 98

Comment 8 errata-xmlrpc 2022-02-28 20:50:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: OpenShift Container Platform 4.9.23 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0655


Note You need to log in before you can comment on or make changes to this bug.